<?php
/**
 * @category   Newsroom
 * @package    Newsroom_Whitepaper
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Newsroom\Whitepaper\Block;

use Magento\Framework\View\Element\Template\Context;
use Newsroom\Whitepaper\Model\WhitepaperFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * Whitepaper View block
 */
class WhitepaperView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Whitepaper
     */
    protected $_whitepaper;
    public function __construct(
        Context $context,
        WhitepaperFactory $whitepaper,
        FilterProvider $filterProvider
    ) {
        $this->_whitepaper = $whitepaper;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Newsroom Whitepaper Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $whitepaper = $this->_whitepaper->create();
        $singleData = $whitepaper->load($id);
        if($singleData->getWhitepaperId() || $singleData['whitepaper_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}